import axios from '@/ajax.js';
const webBaseUrl = '/web'
//路口配置列表
export function api_getCrossData(data) {
    return axios({
        url: webBaseUrl+"/crossConfig/listLaneInfo",
        method: 'post',
        data: data
    })
}

//路口配置保存
export function api_saveCross(data) {
    return axios({
        url: webBaseUrl+"/crossConfig/saveLaneInfo",
        method: 'post',
        data: data
    })
}
//方案配置保存
export function api_savePlan(data) {
    return axios({
        url: webBaseUrl+"/schemeConfig/saveSchemeConfig",
        method: 'post',
        data: data
    })
}
//方案配置列表
export function api_planList(data) {
    return axios({
        url: webBaseUrl+"/schemeConfig/listSchemeConfig",
        method: 'post',
        data: data
    })
}
//根据灯组获取车道信息
export function api_getLanesByLight(data) {
    return axios({
        url: webBaseUrl+"/schemeConfig/getLanesByLight",
        method: 'post',
        data: data
    })
}
//根据车道获取灯组信息
export function api_getLightByLane(data) {
    return axios({
        url: webBaseUrl+"/schemeConfig/getLightByLane",
        method: 'post',
        data: data
    })
}
//保存运行计划
export function api_saveRunningPlan(data) {
    return axios({
        url: webBaseUrl+"/runningPlan/saveRunningPlan",
        method: 'post',
        data: data
    })
}
//运行计划列表
export function api_listRunningPlan(data) {
    return axios({
        url: webBaseUrl+"/runningPlan/listRunningPlan",
        method: 'post',
        data: data
    })
}
//信号机方案同步
export function api_syncScheme(data) {
    return axios({
        url: webBaseUrl+"/planSend/syncScheme",
        method: 'post',
        data: data
    })
}


//首页也用了：根据当前时间返回相位列表（单环）
export function api_phaseByTimeList(data) {
    return axios({
        url: webBaseUrl+"/planSend/phaseListByTimeSingleRing",
        method: 'post',
        data: data
    })
}
//方案下发
export function api_scheduleSend(data) {
    return axios({
        url: webBaseUrl+"/planSend/scheduleSend",
        method: 'post',
        data: data
    })
}
//强制方案
export function api_schemeSend(data) {
    return axios({
        url: webBaseUrl+"/planSend/schemeSend",
        method: 'post',
        data: data
    })
}



